Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2008, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.portal.tools.portal.actions
Class CreateCommunityTemplateAction

    java.lang.Object
      com.bea.portal.tools.portal.actions.PortalControlAction
          com.bea.portal.tools.portal.actions.CreateCommunityTemplateAction

All Implemented Interfaces
  ControlAction

    public class CreateCommunityTemplateAction

extends PortalControlAction

Objects extending this class implement actions to be taken on portal controls. These may be used to specify multiple actions which need to occur in a single transaction by calling the Portal controls' executeActions() method.

Constructor Summary
`CreateCommunityTemplateAction(CommunityManagerControl communityManagerControl, CommunityInfo communityInfo, DesktopDefinitionId desktopDefinitionId)`

Method Summary
`void` | `doAction(ResourceContext context)` Method that actually performs the action(s).
`CommunityDefinition` | `getCommunityDefinition()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CreateCommunityTemplateAction

    public CreateCommunityTemplateAction(CommunityManagerControl communityManagerControl,
                                         CommunityInfo communityInfo,
                                         DesktopDefinitionId desktopDefinitionId)

Method Detail

### doAction

    public void doAction(ResourceContext context)
                  throws Exception

  Description copied from class: `PortalControlAction`
  Method that actually performs the action(s).

  Specified by:
    `doAction` in interface `ControlAction`
  Specified by:
    `doAction` in class `PortalControlAction`
  Throws
    `Exception`

### getCommunityDefinition

    public CommunityDefinition getCommunityDefinition()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2008, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.